summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-04-15 20:44:26 +0200
committerPacho Ramos <pacho@gentoo.org>2018-04-15 21:00:27 +0200
commitcfa7edda87c169223d0aa33b1e417e7aec6aca77 (patch)
tree97926adb6a9170ed2ca10fa463cf6a74b4d1e131 /games-arcade
parentgames-arcade/cosmosmash: Drop old (diff)
downloadgentoo-cfa7edda87c169223d0aa33b1e417e7aec6aca77.tar.gz
gentoo-cfa7edda87c169223d0aa33b1e417e7aec6aca77.tar.bz2
gentoo-cfa7edda87c169223d0aa33b1e417e7aec6aca77.zip
games-arcade/crack-attack: Stop using games.eclass
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'games-arcade')
-rw-r--r--games-arcade/crack-attack/crack-attack-1.1.14-r2.ebuild47
-rw-r--r--games-arcade/crack-attack/files/crack-attack-1.1.14-gcc43.patch4
-rw-r--r--games-arcade/crack-attack/files/crack-attack-1.1.14-glut.patch4
3 files changed, 51 insertions, 4 deletions
diff --git a/games-arcade/crack-attack/crack-attack-1.1.14-r2.ebuild b/games-arcade/crack-attack/crack-attack-1.1.14-r2.ebuild
new file mode 100644
index 00000000000..eded2a71ead
--- /dev/null
+++ b/games-arcade/crack-attack/crack-attack-1.1.14-r2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit desktop
+
+DESCRIPTION="Addictive OpenGL-based block game"
+HOMEPAGE="http://www.nongnu.org/crack-attack/"
+SRC_URI="https://savannah.nongnu.org/download/crack-attack/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~x86"
+IUSE="gtk sdl"
+
+RDEPEND="
+ media-libs/freeglut
+ sdl? ( media-libs/libsdl
+ media-libs/sdl-mixer )
+ gtk? ( >=x11-libs/gtk+-2.6:2 )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+ eapply \
+ "${FILESDIR}"/${P}-glut.patch \
+ "${FILESDIR}"/${P}-gcc43.patch
+ sed -i 's/-lXmu//' src/gtk-gui/Makefile.in src/Makefile.in || die
+ touch -r . * */*
+}
+
+src_configure() {
+ econf \
+ --disable-binreloc \
+ $(use_enable sdl sound) \
+ $(use_enable gtk)
+}
+
+src_install() {
+ HTML_DOCS="doc/*"
+ default
+ doicon data/crack-attack.xpm
+ make_desktop_entry crack-attack Crack-attack
+}
diff --git a/games-arcade/crack-attack/files/crack-attack-1.1.14-gcc43.patch b/games-arcade/crack-attack/files/crack-attack-1.1.14-gcc43.patch
index 009d062f2ea..8cabe7eb257 100644
--- a/games-arcade/crack-attack/files/crack-attack-1.1.14-gcc43.patch
+++ b/games-arcade/crack-attack/files/crack-attack-1.1.14-gcc43.patch
@@ -1,5 +1,5 @@
---- src/Game.h
-+++ src/Game.h
+--- a/src/Game.h
++++ b/src/Game.h
@@ -34,6 +34,7 @@
#include <climits>
#include <cstdlib>
diff --git a/games-arcade/crack-attack/files/crack-attack-1.1.14-glut.patch b/games-arcade/crack-attack/files/crack-attack-1.1.14-glut.patch
index fc16c1b8bc4..430d4e742f3 100644
--- a/games-arcade/crack-attack/files/crack-attack-1.1.14-glut.patch
+++ b/games-arcade/crack-attack/files/crack-attack-1.1.14-glut.patch
@@ -2,8 +2,8 @@ Fix from upstream to work with newer freegluts.
http://bugs.gentoo.org/97954
---- src/Attack.cxx
-+++ src/Attack.cxx
+--- a/src/Attack.cxx
++++ b/src/Attack.cxx
@@ -83,6 +83,7 @@
int height = -1, width = -1;